Bug 210980 - devel/py-apscheduler: Update to 3.2.0
Summary: devel/py-apscheduler: Update to 3.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jan Beich
URL:
Keywords: patch
Depends on:
Blocks: 210984
  Show dependency treegraph
 
Reported: 2016-07-10 18:57 UTC by Andrej Ebert
Modified: 2016-07-19 10:32 UTC (History)
2 users (show)

See Also:
jbeich: merge-quarterly-


Attachments
update to 3.2.0 (1.48 KB, patch)
2016-07-10 18:57 UTC, Andrej Ebert
no flags Details | Diff
poudriere log (30.38 KB, text/plain)
2016-07-10 18:57 UTC, Andrej Ebert
no flags Details
poudriere-portlint log (90 bytes, text/plain)
2016-07-10 18:58 UTC, Andrej Ebert
no flags Details
version fix, new dependency (806 bytes, patch)
2016-07-18 13:43 UTC, Andrej Ebert
no flags Details | Diff
poudriere log (30.17 KB, text/plain)
2016-07-18 13:44 UTC, Andrej Ebert
no flags Details
poudriere-portlint log (90 bytes, text/plain)
2016-07-18 13:44 UTC, Andrej Ebert
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrej Ebert 2016-07-10 18:57:18 UTC
Created attachment 172341 [details]
update to 3.2.0

The newer version is a dependency of (newer versions of) www/py-flexget.
Comment 1 Andrej Ebert 2016-07-10 18:57:44 UTC
Created attachment 172343 [details]
poudriere log
Comment 2 Andrej Ebert 2016-07-10 18:58:08 UTC
Created attachment 172344 [details]
poudriere-portlint log
Comment 3 commit-hook freebsd_committer 2016-07-11 04:30:05 UTC
A commit references this bug:

Author: jbeich
Date: Mon Jul 11 04:29:28 UTC 2016
New revision: 418353
URL: https://svnweb.freebsd.org/changeset/ports/418353

Log:
  devel/py-apscheduler: update to 3.2.0

  - Convert to the testing framework

  Changes:	https://github.com/agronholm/apscheduler/compare/v3.0.4...v3.2.0
  PR:		210980
  Submitted by:	Andrej Ebert <andrej@ebert.su> (based on)

Changes:
  head/devel/py-apscheduler/Makefile
  head/devel/py-apscheduler/distinfo
Comment 4 Jan Beich freebsd_committer 2016-07-11 04:32:07 UTC
Thanks. Landed. It seems to work fine with py27-flexget-1.2.348_1,1
Comment 5 Andrej Ebert 2016-07-18 13:43:35 UTC
Created attachment 172651 [details]
version fix, new dependency

I dropped the setup_requirements (specifically py-setuptools_scm) in my previous patch, but apscheduler relies on it to register the right version in site-packages. This leads to version 0.0.0 being registered, which is a problem if something relies on a specific version, flexget for example: bug #210984, comment #3. So I added scm as build dependency, now it correctly registers itself as version 3.2.0.
Comment 6 Andrej Ebert 2016-07-18 13:44:19 UTC
Created attachment 172652 [details]
poudriere log
Comment 7 Andrej Ebert 2016-07-18 13:44:39 UTC
Created attachment 172653 [details]
poudriere-portlint log
Comment 8 Andrej Ebert 2016-07-18 13:46:05 UTC
Please see new patch, commited version registers itself as version 0.0.0
Comment 9 commit-hook freebsd_committer 2016-07-18 16:14:49 UTC
A commit references this bug:

Author: jbeich
Date: Mon Jul 18 16:14:45 UTC 2016
New revision: 418710
URL: https://svnweb.freebsd.org/changeset/ports/418710

Log:
  devel/py-apscheduler: fix python package version after r418353

  >>> import apscheduler
  >>> apscheduler.__version__
  '0.0.0'

  PR:		210980
  Submitted by:	Andrej Ebert <andrej@ebert.su>

Changes:
  head/devel/py-apscheduler/Makefile
Comment 10 Jan Beich freebsd_committer 2016-07-18 16:17:15 UTC
Thanks. Landed.
Comment 11 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-19 03:16:43 UTC
Re-open for MFH if quarterly version is also affected
Comment 12 Jan Beich freebsd_committer 2016-07-19 10:32:27 UTC
2016Q3 still has 3.0.4 thus doesn't need ports r418710. While there's no immediate reason (e.g. security, bustage) to update 3.2.0 wouldn't break www/py-flexget. Leaving as is.